<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: TIMER Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">TIMER Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d8/ddd/group___n_a_n_o1_x2___t_i_m_e_r___driver.html">TIMER Driver</a> &raquo; <a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">TIMER Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for TIMER Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad4_2d07_2group______n__a__n__o1__x2______t__i__m__e__r______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga6e49fe7813cac1655c534a8f61be9cc9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6e49fe7813cac1655c534a8f61be9cc9">TIMER_SET_CMP_VALUE</a>(timer,  u32Value)</td></tr>
<tr class="memdesc:ga6e49fe7813cac1655c534a8f61be9cc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to set new Timer compared value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6e49fe7813cac1655c534a8f61be9cc9">More...</a><br /></td></tr>
<tr class="separator:ga6e49fe7813cac1655c534a8f61be9cc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga221a29b6c59e6a5bd198050ec97355ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga221a29b6c59e6a5bd198050ec97355ab">TIMER_SET_PRESCALE_VALUE</a>(timer,  u32Value)</td></tr>
<tr class="memdesc:ga221a29b6c59e6a5bd198050ec97355ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to set new Timer prescale value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga221a29b6c59e6a5bd198050ec97355ab">More...</a><br /></td></tr>
<tr class="separator:ga221a29b6c59e6a5bd198050ec97355ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6280e5315f28fd136e7fa168337891d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae6280e5315f28fd136e7fa168337891d">TIMER_IS_ACTIVE</a>(timer)</td></tr>
<tr class="memdesc:gae6280e5315f28fd136e7fa168337891d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to check if specify Timer is inactive or active.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae6280e5315f28fd136e7fa168337891d">More...</a><br /></td></tr>
<tr class="separator:gae6280e5315f28fd136e7fa168337891d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga0fd1d66fab73f93376485bb989fc7c67"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">TIMER_Start</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga0fd1d66fab73f93376485bb989fc7c67"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to start Timer counting.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">More...</a><br /></td></tr>
<tr class="separator:ga0fd1d66fab73f93376485bb989fc7c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3095d4cc3f95ffec3c02cfd1b38db9e8"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">TIMER_Stop</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga3095d4cc3f95ffec3c02cfd1b38db9e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to stop Timer counting.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">More...</a><br /></td></tr>
<tr class="separator:ga3095d4cc3f95ffec3c02cfd1b38db9e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad445a69f7f52303a643e5f9387a558c3"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">TIMER_EnableWakeup</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gad445a69f7f52303a643e5f9387a558c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer wake-up function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">More...</a><br /></td></tr>
<tr class="separator:gad445a69f7f52303a643e5f9387a558c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga583f9d7339d496764f99429fbd81dbab"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">TIMER_DisableWakeup</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga583f9d7339d496764f99429fbd81dbab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer wake-up function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">More...</a><br /></td></tr>
<tr class="separator:ga583f9d7339d496764f99429fbd81dbab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga93f7d80dbfd81ef63f185a9b1593f2d8"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">TIMER_EnableCaptureDebounce</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga93f7d80dbfd81ef63f185a9b1593f2d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the capture pin detection de-bounce function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">More...</a><br /></td></tr>
<tr class="separator:ga93f7d80dbfd81ef63f185a9b1593f2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga136dfd19065e793a25d724a558a6282b"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">TIMER_DisableCaptureDebounce</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga136dfd19065e793a25d724a558a6282b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the capture pin detection de-bounce function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">More...</a><br /></td></tr>
<tr class="separator:ga136dfd19065e793a25d724a558a6282b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31b3fb31ec0e81e3d76ea04434a927ef"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">TIMER_EnableEventCounterDebounce</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga31b3fb31ec0e81e3d76ea04434a927ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the counter pin detection de-bounce function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">More...</a><br /></td></tr>
<tr class="separator:ga31b3fb31ec0e81e3d76ea04434a927ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga90c44d7420eb48f3e68aed6218140b76"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">TIMER_DisableEventCounterDebounce</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga90c44d7420eb48f3e68aed6218140b76"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the counter pin detection de-bounce function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">More...</a><br /></td></tr>
<tr class="separator:ga90c44d7420eb48f3e68aed6218140b76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52dcaf3256ba36374a25b92acb56de78"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">TIMER_EnableInt</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga52dcaf3256ba36374a25b92acb56de78"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer time-out interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">More...</a><br /></td></tr>
<tr class="separator:ga52dcaf3256ba36374a25b92acb56de78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46ea44652b848c9e942d1896b32ce771"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">TIMER_DisableInt</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga46ea44652b848c9e942d1896b32ce771"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer time-out interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">More...</a><br /></td></tr>
<tr class="separator:ga46ea44652b848c9e942d1896b32ce771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2287e49bacc47dc186b4f1a784ccf70"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">TIMER_EnableCaptureInt</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gad2287e49bacc47dc186b4f1a784ccf70"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer capture trigger interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">More...</a><br /></td></tr>
<tr class="separator:gad2287e49bacc47dc186b4f1a784ccf70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab020df868b09255cae42e676f2ed7113"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">TIMER_DisableCaptureInt</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gab020df868b09255cae42e676f2ed7113"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer capture trigger interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">More...</a><br /></td></tr>
<tr class="separator:gab020df868b09255cae42e676f2ed7113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaefa1dedc6523e6c1988cde80a514957e"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">TIMER_GetIntFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gaefa1dedc6523e6c1988cde80a514957e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates Timer time-out interrupt occurred or not.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">More...</a><br /></td></tr>
<tr class="separator:gaefa1dedc6523e6c1988cde80a514957e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e4d868cd866609e1b98e685029e399d"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">TIMER_ClearIntFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga0e4d868cd866609e1b98e685029e399d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the Timer time-out interrupt flag.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">More...</a><br /></td></tr>
<tr class="separator:ga0e4d868cd866609e1b98e685029e399d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga348a52b97a987e141d4406e5bb253896"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">TIMER_GetCaptureIntFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga348a52b97a987e141d4406e5bb253896"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates Timer capture interrupt occurred or not.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">More...</a><br /></td></tr>
<tr class="separator:ga348a52b97a987e141d4406e5bb253896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d5a910f2caff7a8e7ee2390a534463c"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">TIMER_ClearCaptureIntFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga3d5a910f2caff7a8e7ee2390a534463c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the Timer capture interrupt flag.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">More...</a><br /></td></tr>
<tr class="separator:ga3d5a910f2caff7a8e7ee2390a534463c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e1ee4f64bd158bbb76acaac4e25b90a"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">TIMER_GetWakeupFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga3e1ee4f64bd158bbb76acaac4e25b90a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates Timer has waked up system or not.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">More...</a><br /></td></tr>
<tr class="separator:ga3e1ee4f64bd158bbb76acaac4e25b90a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf78a85b8781c5cba0d3dfaa30b9c1248"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">TIMER_ClearWakeupFlag</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:gaf78a85b8781c5cba0d3dfaa30b9c1248"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears the Timer wakeup interrupt flag.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">More...</a><br /></td></tr>
<tr class="separator:gaf78a85b8781c5cba0d3dfaa30b9c1248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04e518c504610075d9b8760d2e77eb82"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">TIMER_GetCaptureData</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga04e518c504610075d9b8760d2e77eb82"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function gets the Timer capture data.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">More...</a><br /></td></tr>
<tr class="separator:ga04e518c504610075d9b8760d2e77eb82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e28cb4a25335a5b32e2e5edcae2161f"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">TIMER_GetCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga0e28cb4a25335a5b32e2e5edcae2161f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reports the current timer counter value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">More...</a><br /></td></tr>
<tr class="separator:ga0e28cb4a25335a5b32e2e5edcae2161f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga234d45c63fb6f5e977dbef2294089621"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mode, uint32_t u32Freq)</td></tr>
<tr class="memdesc:ga234d45c63fb6f5e977dbef2294089621"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to configure timer to operate in specified mode and frequency. If timer cannot work in target frequency, a closest frequency will be chose and returned.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">More...</a><br /></td></tr>
<tr class="separator:ga234d45c63fb6f5e977dbef2294089621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83113a85eb313523f4ec35ab585d8968"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga83113a85eb313523f4ec35ab585d8968"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API stops Timer counting and disable the Timer interrupt function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">More...</a><br /></td></tr>
<tr class="separator:ga83113a85eb313523f4ec35ab585d8968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Usec)</td></tr>
<tr class="memdesc:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to create a delay loop for u32usec micro seconds.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">More...</a><br /></td></tr>
<tr class="separator:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32CapMode, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to enable timer capture function with specified mode and capture edge.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">More...</a><br /></td></tr>
<tr class="separator:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to disable the Timer capture function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">More...</a><br /></td></tr>
<tr class="separator:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer counter function with specify detection edge.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">More...</a><br /></td></tr>
<tr class="separator:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to disable the Timer event counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">More...</a><br /></td></tr>
<tr class="separator:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to get the clock frequency of Timer.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">More...</a><br /></td></tr>
<tr class="separator:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga452e6b15e2da57f1bb4432e01831c818"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga452e6b15e2da57f1bb4432e01831c818">TIMER_ResetCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga452e6b15e2da57f1bb4432e01831c818"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to reset the Timer counter value.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga452e6b15e2da57f1bb4432e01831c818">More...</a><br /></td></tr>
<tr class="separator:ga452e6b15e2da57f1bb4432e01831c818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf424bb31a227f8d672f337e5c6a6059"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf424bb31a227f8d672f337e5c6a6059">TIMER_EnableFreqCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32DropCount, uint32_t u32Timeout, uint32_t u32EnableInt)</td></tr>
<tr class="memdesc:gaaf424bb31a227f8d672f337e5c6a6059"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer frequency counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf424bb31a227f8d672f337e5c6a6059">More...</a><br /></td></tr>
<tr class="separator:gaaf424bb31a227f8d672f337e5c6a6059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga709e58fa2804ed056f2e77f4b26cf686"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga709e58fa2804ed056f2e77f4b26cf686">TIMER_DisableFreqCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga709e58fa2804ed056f2e77f4b26cf686"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable the Timer frequency counter function.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga709e58fa2804ed056f2e77f4b26cf686">More...</a><br /></td></tr>
<tr class="separator:ga709e58fa2804ed056f2e77f4b26cf686"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0d86a240e96da7b8db2c11f4bbb46693">TIMER_SetTriggerSource</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Src)</td></tr>
<tr class="memdesc:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to select the interrupt source used to trigger other modules.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0d86a240e96da7b8db2c11f4bbb46693">More...</a><br /></td></tr>
<tr class="separator:ga0d86a240e96da7b8db2c11f4bbb46693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa01b131e6bd3d6c51662670377d32c97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01b131e6bd3d6c51662670377d32c97">TIMER_SetTriggerTarget</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gaa01b131e6bd3d6c51662670377d32c97"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set modules trigger by timer interrupt.  <a href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa01b131e6bd3d6c51662670377d32c97">More...</a><br /></td></tr>
<tr class="separator:gaa01b131e6bd3d6c51662670377d32c97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gae6280e5315f28fd136e7fa168337891d" name="gae6280e5315f28fd136e7fa168337891d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae6280e5315f28fd136e7fa168337891d">&#9670;&nbsp;</a></span>TIMER_IS_ACTIVE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_IS_ACTIVE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">timer</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to check if specify Timer is inactive or active. </p>
<dl class="section return"><dt>Returns</dt><dd>timer is activate or inactivate </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Timer 24-bit up counter is inactive </td></tr>
    <tr><td class="paramname">1</td><td>Timer 24-bit up counter is active </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00086">86</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga6e49fe7813cac1655c534a8f61be9cc9" name="ga6e49fe7813cac1655c534a8f61be9cc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6e49fe7813cac1655c534a8f61be9cc9">&#9670;&nbsp;</a></span>TIMER_SET_CMP_VALUE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_SET_CMP_VALUE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">timer, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Value&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to set new Timer compared value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Value</td><td>Timer compare value. Valid values are between 2 to 0xFFFFFF </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00067">67</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga221a29b6c59e6a5bd198050ec97355ab" name="ga221a29b6c59e6a5bd198050ec97355ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga221a29b6c59e6a5bd198050ec97355ab">&#9670;&nbsp;</a></span>TIMER_SET_PRESCALE_VALUE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_SET_PRESCALE_VALUE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">timer, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Value&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro is used to set new Timer prescale value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Value</td><td>Timer prescale value. Valid values are between 0 to 0xFF </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Clock input is divided by (prescale + 1) before it is fed into timer </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00077">77</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga3d5a910f2caff7a8e7ee2390a534463c" name="ga3d5a910f2caff7a8e7ee2390a534463c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3d5a910f2caff7a8e7ee2390a534463c">&#9670;&nbsp;</a></span>TIMER_ClearCaptureIntFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_ClearCaptureIntFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function clears the Timer capture interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00251">251</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga0e4d868cd866609e1b98e685029e399d" name="ga0e4d868cd866609e1b98e685029e399d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0e4d868cd866609e1b98e685029e399d">&#9670;&nbsp;</a></span>TIMER_ClearIntFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_ClearIntFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function clears the Timer time-out interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00229">229</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gaf78a85b8781c5cba0d3dfaa30b9c1248" name="gaf78a85b8781c5cba0d3dfaa30b9c1248"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf78a85b8781c5cba0d3dfaa30b9c1248">&#9670;&nbsp;</a></span>TIMER_ClearWakeupFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_ClearWakeupFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function clears the Timer wakeup interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00273">273</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga83113a85eb313523f4ec35ab585d8968" name="ga83113a85eb313523f4ec35ab585d8968"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga83113a85eb313523f4ec35ab585d8968">&#9670;&nbsp;</a></span>TIMER_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_Close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This API stops Timer counting and disable the Timer interrupt function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00074">74</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga0dad1dbaf69f945c3d0d5aa91c4eef86" name="ga0dad1dbaf69f945c3d0d5aa91c4eef86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0dad1dbaf69f945c3d0d5aa91c4eef86">&#9670;&nbsp;</a></span>TIMER_Delay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_Delay </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Usec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This API is used to create a delay loop for u32usec micro seconds. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Usec</td><td>Delay period in micro seconds with 10 usec every step. Valid values are between 10~1000000 (10 micro second ~ 1 second) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This API overwrites the register setting of the timer used to count the delay time. </dd>
<dd>
This API use polling mode. So there is no need to enable interrupt for the timer module used to generate delay </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00088">88</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga0dad1dbaf69f945c3d0d5aa91c4eef86_cgraph.png" border="0" usemap="#ad4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga0dad1dbaf69f945c3d0d5aa91c4eef86_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga1de0e4c2c84476d6c39d40a3bcaac18a" name="ga1de0e4c2c84476d6c39d40a3bcaac18a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1de0e4c2c84476d6c39d40a3bcaac18a">&#9670;&nbsp;</a></span>TIMER_DisableCapture()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_DisableCapture </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This API is used to disable the Timer capture function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00160">160</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga136dfd19065e793a25d724a558a6282b" name="ga136dfd19065e793a25d724a558a6282b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga136dfd19065e793a25d724a558a6282b">&#9670;&nbsp;</a></span>TIMER_DisableCaptureDebounce()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_DisableCaptureDebounce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to disable the capture pin detection de-bounce function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00146">146</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gab020df868b09255cae42e676f2ed7113" name="gab020df868b09255cae42e676f2ed7113"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab020df868b09255cae42e676f2ed7113">&#9670;&nbsp;</a></span>TIMER_DisableCaptureInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_DisableCaptureInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to disable the Timer capture trigger interrupt function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00207">207</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga4460ba2e5f3bdddafab005e1e1fda0da" name="ga4460ba2e5f3bdddafab005e1e1fda0da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4460ba2e5f3bdddafab005e1e1fda0da">&#9670;&nbsp;</a></span>TIMER_DisableEventCounter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_DisableEventCounter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This API is used to disable the Timer event counter function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00186">186</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga90c44d7420eb48f3e68aed6218140b76" name="ga90c44d7420eb48f3e68aed6218140b76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga90c44d7420eb48f3e68aed6218140b76">&#9670;&nbsp;</a></span>TIMER_DisableEventCounterDebounce()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_DisableEventCounterDebounce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to disable the counter pin detection de-bounce function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00167">167</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga709e58fa2804ed056f2e77f4b26cf686" name="ga709e58fa2804ed056f2e77f4b26cf686"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga709e58fa2804ed056f2e77f4b26cf686">&#9670;&nbsp;</a></span>TIMER_DisableFreqCounter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_DisableFreqCounter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to disable the Timer frequency counter function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00291">291</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga46ea44652b848c9e942d1896b32ce771" name="ga46ea44652b848c9e942d1896b32ce771"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga46ea44652b848c9e942d1896b32ce771">&#9670;&nbsp;</a></span>TIMER_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_DisableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to disable the Timer time-out interrupt function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00187">187</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga583f9d7339d496764f99429fbd81dbab" name="ga583f9d7339d496764f99429fbd81dbab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga583f9d7339d496764f99429fbd81dbab">&#9670;&nbsp;</a></span>TIMER_DisableWakeup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_DisableWakeup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to disable the Timer wake-up function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00125">125</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga80ba64bdc40d36cb4a2139f4651b1c42" name="ga80ba64bdc40d36cb4a2139f4651b1c42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga80ba64bdc40d36cb4a2139f4651b1c42">&#9670;&nbsp;</a></span>TIMER_EnableCapture()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_EnableCapture </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32CapMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Edge</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This API is used to enable timer capture function with specified mode and capture edge. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32CapMode</td><td>Timer capture mode. Could be<ul>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga171c813372b2caafa1aee17b76a0e21e">TIMER_CAPTURE_FREE_COUNTING_MODE</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b577508c75113be469bb74b979af91e">TIMER_CAPTURE_TRIGGER_COUNTING_MODE</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab10e49633e66d5322d9050a7b2ab6543">TIMER_CAPTURE_COUNTER_RESET_MODE</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Edge</td><td>Timer capture edge. Possible values are<ul>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab928d0fd637d9c0b5472c58c8433fe38">TIMER_CAPTURE_FALLING_EDGE</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf4f88d1b078222b7053a850cec8f5f6">TIMER_CAPTURE_RISING_EDGE</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga015b901cc1d26cc790d5fdfd4a4624ca">TIMER_CAPTURE_FALLING_THEN_RISING_EDGE</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf321dd7ed2d6e6c63bc0a0d9195b623f">TIMER_CAPTURE_RISING_THEN_FALLING_EDGE</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Timer frequency should be configured separately by using <a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a> API, or program registers directly </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00146">146</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga93f7d80dbfd81ef63f185a9b1593f2d8" name="ga93f7d80dbfd81ef63f185a9b1593f2d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga93f7d80dbfd81ef63f185a9b1593f2d8">&#9670;&nbsp;</a></span>TIMER_EnableCaptureDebounce()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_EnableCaptureDebounce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to enable the capture pin detection de-bounce function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00136">136</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gad2287e49bacc47dc186b4f1a784ccf70" name="gad2287e49bacc47dc186b4f1a784ccf70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad2287e49bacc47dc186b4f1a784ccf70">&#9670;&nbsp;</a></span>TIMER_EnableCaptureInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_EnableCaptureInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to enable the Timer capture trigger interrupt function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00197">197</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga72fc8741562dbff619aa7dfe8b73c0a7" name="ga72fc8741562dbff619aa7dfe8b73c0a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga72fc8741562dbff619aa7dfe8b73c0a7">&#9670;&nbsp;</a></span>TIMER_EnableEventCounter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_EnableEventCounter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Edge</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to enable the Timer counter function with specify detection edge. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Edge</td><td>Detection edge of counter pin. Could be ether<ul>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cc45560af8a91021231fff3e8b7d43a">TIMER_COUNTER_RISING_EDGE</a>, or</li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7b7b53305f2df523e3e594f38d0d2c2b">TIMER_COUNTER_FALLING_EDGE</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>Timer compare value should be configured separately by using <a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6e49fe7813cac1655c534a8f61be9cc9">TIMER_SET_CMP_VALUE</a> macro or program registers directly </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00175">175</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga31b3fb31ec0e81e3d76ea04434a927ef" name="ga31b3fb31ec0e81e3d76ea04434a927ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga31b3fb31ec0e81e3d76ea04434a927ef">&#9670;&nbsp;</a></span>TIMER_EnableEventCounterDebounce()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_EnableEventCounterDebounce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to enable the counter pin detection de-bounce function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00157">157</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gaaf424bb31a227f8d672f337e5c6a6059" name="gaaf424bb31a227f8d672f337e5c6a6059"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaaf424bb31a227f8d672f337e5c6a6059">&#9670;&nbsp;</a></span>TIMER_EnableFreqCounter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_EnableFreqCounter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DropCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Timeout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32EnableInt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to enable the Timer frequency counter function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module. Can be <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaf1b746ba5ab7d0ab657156ebda0f290c">TIMER0</a> or <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaca904d0e4ebb6d643c349f7f05613995">TIMER2</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DropCount</td><td>Set the event needs to drop before starting to measure event frequency. Valid value is between 0~0xFF </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Timeout</td><td>Set the timeout value before stop the frequency counter. No matter timer has sufficient sample count or not. The unit is timer clock and valid range is between 2~0xFFFFFF. Input 0 or 1 means disable timeout function. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32EnableInt</td><td>Enable interrupt assertion after capture complete or not. Valid values are TRUE and FALSE </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to calculate input event frequency. After enable this function, a pair of timers, TIMER0 and TIMER1, or TIMER2 and TIMER3 will be configured for this function. The mode used to calculate input event frequency is mentioned as "Inter Timer Trigger Mode" in Technical Reference Manual </p><dl class="section note"><dt>Note</dt><dd>If drop count is not 0, a valid timeout value (between 2~0xFFFFFF) must be provided. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00264">264</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga52dcaf3256ba36374a25b92acb56de78" name="ga52dcaf3256ba36374a25b92acb56de78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga52dcaf3256ba36374a25b92acb56de78">&#9670;&nbsp;</a></span>TIMER_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_EnableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to enable the Timer time-out interrupt function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00177">177</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gad445a69f7f52303a643e5f9387a558c3" name="gad445a69f7f52303a643e5f9387a558c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad445a69f7f52303a643e5f9387a558c3">&#9670;&nbsp;</a></span>TIMER_EnableWakeup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_EnableWakeup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to enable the Timer wake-up function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>To wake the system from power down mode, timer clock source must be ether LXT or LIRC </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00115">115</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga04e518c504610075d9b8760d2e77eb82" name="ga04e518c504610075d9b8760d2e77eb82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga04e518c504610075d9b8760d2e77eb82">&#9670;&nbsp;</a></span>TIMER_GetCaptureData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE uint32_t TIMER_GetCaptureData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function gets the Timer capture data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Timer capture data value </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00283">283</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga348a52b97a987e141d4406e5bb253896" name="ga348a52b97a987e141d4406e5bb253896"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga348a52b97a987e141d4406e5bb253896">&#9670;&nbsp;</a></span>TIMER_GetCaptureIntFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE uint32_t TIMER_GetCaptureIntFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function indicates Timer capture interrupt occurred or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Timer capture interrupt occurred or not </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Timer capture interrupt did not occur </td></tr>
    <tr><td class="paramname">1</td><td>Timer capture interrupt occurred </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00241">241</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga0e28cb4a25335a5b32e2e5edcae2161f" name="ga0e28cb4a25335a5b32e2e5edcae2161f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0e28cb4a25335a5b32e2e5edcae2161f">&#9670;&nbsp;</a></span>TIMER_GetCounter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE uint32_t TIMER_GetCounter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function reports the current timer counter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Timer counter value </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00293">293</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gaefa1dedc6523e6c1988cde80a514957e" name="gaefa1dedc6523e6c1988cde80a514957e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaefa1dedc6523e6c1988cde80a514957e">&#9670;&nbsp;</a></span>TIMER_GetIntFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE uint32_t TIMER_GetIntFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function indicates Timer time-out interrupt occurred or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Timer time-out interrupt occurred or not </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Timer time-out interrupt did not occur </td></tr>
    <tr><td class="paramname">1</td><td>Timer time-out interrupt occurred </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00219">219</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga56facc5683886f3ff3b273a3b5e47fcd" name="ga56facc5683886f3ff3b273a3b5e47fcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga56facc5683886f3ff3b273a3b5e47fcd">&#9670;&nbsp;</a></span>TIMER_GetModuleClock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t TIMER_GetModuleClock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This API is used to get the clock frequency of Timer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Timer clock frequency </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This API cannot return correct clock rate if timer source is external clock input. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00197">197</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga56facc5683886f3ff3b273a3b5e47fcd_cgraph.png" border="0" usemap="#ad4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga56facc5683886f3ff3b273a3b5e47fcd_cgraph" alt=""/></div>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga56facc5683886f3ff3b273a3b5e47fcd_icgraph.png" border="0" usemap="#ad4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga56facc5683886f3ff3b273a3b5e47fcd_icgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga3e1ee4f64bd158bbb76acaac4e25b90a" name="ga3e1ee4f64bd158bbb76acaac4e25b90a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3e1ee4f64bd158bbb76acaac4e25b90a">&#9670;&nbsp;</a></span>TIMER_GetWakeupFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE uint32_t TIMER_GetWakeupFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function indicates Timer has waked up system or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Timer has waked up system or not </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Timer did not wake up system </td></tr>
    <tr><td class="paramname">1</td><td>Timer wake up system </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00263">263</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga234d45c63fb6f5e977dbef2294089621" name="ga234d45c63fb6f5e977dbef2294089621"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga234d45c63fb6f5e977dbef2294089621">&#9670;&nbsp;</a></span>TIMER_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t TIMER_Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Freq</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This API is used to configure timer to operate in specified mode and frequency. If timer cannot work in target frequency, a closest frequency will be chose and returned. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mode</td><td>Operation mode. Possible options are<ul>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72feaa98c11709d47e90b45a32677b92">TIMER_ONESHOT_MODE</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41103f29e7760dcf1747b06d93e1cc59">TIMER_PERIODIC_MODE</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad177f87a38087cb248943f9539af9550">TIMER_TOGGLE_MODE</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea824dab491cf5c772b2695ac91b4220">TIMER_CONTINUOUS_MODE</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Freq</td><td>Target working frequency </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Real Timer working frequency </dd></dl>
<dl class="section note"><dt>Note</dt><dd>After calling this API, Timer is <b>NOT</b> running yet. But could start timer running be calling <a class="el" href="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">TIMER_Start</a> macro or program registers directly </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00042">42</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga234d45c63fb6f5e977dbef2294089621_cgraph.png" border="0" usemap="#ad4/d07/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_ga234d45c63fb6f5e977dbef2294089621_cgraph" alt=""/></div>
</div>

</div>
</div>
<a id="ga452e6b15e2da57f1bb4432e01831c818" name="ga452e6b15e2da57f1bb4432e01831c818"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga452e6b15e2da57f1bb4432e01831c818">&#9670;&nbsp;</a></span>TIMER_ResetCounter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_ResetCounter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to reset the Timer counter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00241">241</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga0d86a240e96da7b8db2c11f4bbb46693" name="ga0d86a240e96da7b8db2c11f4bbb46693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0d86a240e96da7b8db2c11f4bbb46693">&#9670;&nbsp;</a></span>TIMER_SetTriggerSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_SetTriggerSource </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Src</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to select the interrupt source used to trigger other modules. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Src</td><td>Selects the interrupt source to trigger other modules. Could be:<ul>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5696e0b40e902b9e09e400730d958ccb">TIMER_TIMEOUT_TRIGGER</a></li>
<li><a class="el" href="../../d9/d3c/group___n_a_n_o1_x2___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga02b0a0748106607aa66c7aa9fd26628e">TIMER_CAPTURE_TRIGGER</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00304">304</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="gaa01b131e6bd3d6c51662670377d32c97" name="gaa01b131e6bd3d6c51662670377d32c97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa01b131e6bd3d6c51662670377d32c97">&#9670;&nbsp;</a></span>TIMER_SetTriggerTarget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TIMER_SetTriggerTarget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to set modules trigger by timer interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>The mask of modules (ADC and PDMA) trigger by timer. Is the combination of<ul>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a39f79f09f63b65656028595e780504f9">TIMER_CTL_PDMA_TEEN_Msk</a>, and</li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ab38ae46e13051b41cb4f26b707851f25">TIMER_CTL_ADC_TEEN_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d41/timer_8c_source.html#l00317">317</a> of file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>

</div>
</div>
<a id="ga0fd1d66fab73f93376485bb989fc7c67" name="ga0fd1d66fab73f93376485bb989fc7c67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0fd1d66fab73f93376485bb989fc7c67">&#9670;&nbsp;</a></span>TIMER_Start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to start Timer counting. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00094">94</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga3095d4cc3f95ffec3c02cfd1b38db9e8" name="ga3095d4cc3f95ffec3c02cfd1b38db9e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3095d4cc3f95ffec3c02cfd1b38db9e8">&#9670;&nbsp;</a></span>TIMER_Stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void TIMER_Stop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *&#160;</td>
          <td class="paramname"><em>timer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to stop Timer counting. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">timer</td><td>The base address of Timer module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00104">104</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
